.form {
  &-container {
    margin: 1rem auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    .validation-errors {
      margin-bottom: 0.3rem;
      padding: 0.5rem;
      border: 2px solid red;
      border-radius: 5px;
      background-color: #ce3a3a;

      ul {
        list-style: none;
      }
    }

    table {
      width: 80%;
      display: flex;
      flex-direction: column;
      align-items: center;
    }

    & hr {
      width: 55%;
      height: 6px;
      margin: 1rem auto;
      background-color: #ffffff;
      border-radius: 15px;
    }

    & input {
      display: block;
      margin: 1rem;
      padding: 0.5rem 1rem;
      border-radius: 5px;
    }

    &__buttons {
      margin: 2rem 1rem;
      display: flex;

      & button {
        margin: 0 2rem;
        padding: 0.5rem 1.5rem;
        border-radius: 5px;
        border: none;
        outline: none;
        color: #ffffff;
        font-weight: 700;
        font-size: medium;
      }

      & button[type="submit"] {
        background-color: #60d460;
        font-weight: 700;

        &:hover {
          background-color: darkgreen;
        }

        &:disabled {
          background-color: #323a45;
        }
      }

      & button[type="button"] {
        background-color: #ce3a3a;

        &:hover {
          background-color: darkred;
        }
      }
    }
  }
}
